%define upstream_name    Proc-ParallelLoop
%define upstream_version 0.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Execute loops in parallel
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tgz


BuildArch: noarch

%description
This module provides a way to easily write for loops and foreach loops that
run with a controlled degree of parallelism. One very nice feature is that
bufferring is used when necessary such that the output from STDERR and
STDOUT looks exactly as if it was produced by running your subroutine on
each parameter in plain old sequential fashion. Return status from each
loop iteration is also preserved.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.500.0-2.mga3
+ Revision: 372137
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 04 2011 jquelin <jquelin> 0.500.0-1.mga1
+ Revision: 80340
- imported package perl-Proc-ParallelLoop

